libzypp 17.38.5

zyppng::SuseTagsWorkflows Namespace Reference

Download workflow namespace for SUSETags (YaST2) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk and how to calculate the repo status. More...

## Functions
MaybeAwaitable< expected< zypp::RepoStatus > > | repoStatus (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle)
MaybeAwaitable< expected< repo::DownloadContextRef > > | download (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)

## Detailed Description

Download workflow namespace for SUSETags (YaST2) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk and how to calculate the repo status.

## Function Documentation

## ◆ repoStatus()

MaybeAwaitable< expected< zypp::RepoStatus > > zyppng::SuseTagsWorkflows::repoStatus | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle )

Calculate status of the remote SUSETags repository

Definition at line 78 of file susetags.cc.

## ◆ download()

MaybeAwaitable< expected< repo::DownloadContextRef > > zyppng::SuseTagsWorkflows::download | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver = nullptr )

Download metadata to a local directory

Definition at line 312 of file susetags.cc.